OsmoSGSN - Bug #3995

OsmoSGSN doesn't close SCCP connection after successful LU over luPS
05/10/2019 06:55 AM - laforge

Status: Closed Start date: 05/10/2019
Priority: Normal Due date:

Assignee: lynxis % Done: 90%
Category: lu interface

Target version:

Spec Reference:

Description

Similar to #3948 in osmo-msc, OsmoSGSN doesn't appear to be closing the SCCP connections related to the lu signalling
connections, ever :/

Related issues:

Related to OsmoMSC - Bug #3948: OsmoMSC doesn't close SCCP connection after s... Resolved 04/23/2019
Related to OsmoSGSN - Bug #3727: SGSN segfaults on network type change Resolved 12/12/2018
Related to OsmoSGSN - Bug #1977: 3G IuPS is unreliable Closed 03/09/2017
History

#1 - 05/10/2019 06:56 AM - laforge
- Related to Bug #3948: OsmoMSC doesn't close SCCP connection after successful LU over luCS added

#2 - 06/23/2019 05:22 PM - laforge

- Assignee set to lynxis

#3 - 08/13/2019 04:10 PM - lynxis
- Status changed from New to In Progress

- % Done changed from 0 to 70

https://gerrit.osmocom.org/c/osmo-iuh/+/15161

#4 - 08/13/2019 04:10 PM - lynxis

#5 - 08/13/2019 04:12 PM - lynxis
- Related to Bug #3727: SGSN segfaults on network type change added

#6 - 09/15/2019 09:56 PM - lynxis
- % Done changed from 70 to 90

still waiting for

- https://gerrit.osmocom.org/c/osmo-iuh/+/15474/

- https://gerrit.osmocom.org/c/osmo-sgsn/+/15481/
- https://gerrit.osmocom.org/c/osmo-sgsn/+/15482/

#7 - 09/16/2019 07:38 PM - lynxis
- Related to Bug #1977: 3G IuPS is unreliable added

#8 - 10/08/2019 04:32 PM - lynxis

- Status changed from In Progress to Closed

All 3 patches were merged.
